手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

Exiv2 'image.cpp'远程拒绝服务漏洞 (CVE-2018-5772)

[日期:2018-02-02] 来源:Linux社区  作者:Linux [字体: ]
Exiv2 'image.cpp'远程拒绝服务漏洞 (CVE-2018-5772)


发布日期:2018-01-17
更新日期:2018-02-02

受影响系统:

Exiv2 Exiv2 0.26

描述:


BUGTRAQ  ID: 102789
CVE(CAN) ID: CVE-2018-5772

Exiv2 是一个用来提取图片中的EXIF、LPTC 和XMP 元数据信息的C++类库。

Exiv2 0.26版本,Exiv2::Image::printIFDStructure函数中存在不受控制的递归,会造成分段错误,使远程攻击者通过构造的tif文件,造成拒绝服务。

<*来源:ProbeFuzzer
  *>

建议:


厂商补丁:

Exiv2
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://bugzilla.redhat.com/show_bug.cgi?id=1536904
https://access.redhat.com/security/cve/cve-2018-5772
http://dev.exiv2.org/projects/exiv2
https://github.com/Exiv2/exiv2/issues/216

本文永久更新链接地址http://www.linuxidc.com/Linux/2018-02/150728.htm

linux
相关资讯       Exiv2 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款